@echo off
echo APC Quake2 Benchmark

set fs=%1
set mode=%2
set res=%3

copy baseq2\config.cfg baseq2\oldconfig.cfg
copy baseq2\cleanconfig.cfg baseq2\config.cfg
del baseq2\scrnshot\*.tga
del baseq2\qconsole.log

rem quality test
set map=command
start /w quake2 +set map %map% +set gl_mode %mode% +set vid_fullscreen %fs% +exec screengrab.rc
move baseq2\qconsole.log results\qlog_%res%.txt

rem demo1 test
set map=demo1.dm2
start /w quake2 +set map %map% +set gl_mode %mode% +set vid_fullscreen %fs% +exec bench.rc
move baseq2\qconsole.log results\log1_%res%.txt

rem massive1 test
set map=massive2.dm2
start /w quake2 +set map %map% +set gl_mode %mode% +set vid_fullscreen %fs% +exec bench.rc
move baseq2\qconsole.log results\log2_%res%.txt

copy baseq2\oldconfig.cfg baseq2\config.cfg

move baseq2\scrnshot\quake00.tga results\quality%res%.tga

echo Results
find "frames" results\log1_%res%.txt
find "frames" results\log2_%res%.txt
